Package org.stianloader.micromixin.transform.internal.util.smap

## Class NOPMultiplexLineNumberAllocator

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.MultiplexLineNumberAllocator
  - - org.stianloader.micromixin.transform.internal.util.smap.NOPMultiplexLineNumberAllocator

    public class NOPMultiplexLineNumberAllocator
    extends MultiplexLineNumberAllocator

### Field Summary

Fields
`static NOPMultiplexLineNumberAllocator` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`SMAPRoot` `exportToSMAP​(java.lang.String stratum)`
`org.objectweb.asm.tree.LineNumberNode` `reserve​(org.objectweb.asm.tree.ClassNode allocator, org.objectweb.asm.tree.LineNumberNode originNode, org.objectweb.asm.tree.LabelNode copiedStart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    @NotNull
    public static final NOPMultiplexLineNumberAllocator INSTANCE

### Method Detail

#### exportToSMAP

    @NotNull
    public SMAPRoot exportToSMAP​(@NotNull
                                 java.lang.String stratum)

Overrides:
  `exportToSMAP` in class `MultiplexLineNumberAllocator`

#### reserve

    @NotNull
    public org.objectweb.asm.tree.LineNumberNode reserve​(@NotNull
                                                         org.objectweb.asm.tree.ClassNode allocator,
                                                         @NotNull
                                                         org.objectweb.asm.tree.LineNumberNode originNode,
                                                         @NotNull
                                                         org.objectweb.asm.tree.LabelNode copiedStart)

Overrides:
  `reserve` in class `MultiplexLineNumberAllocator`